Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0033319
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 07. Sales managementmajoralways2016-06-20 18:432016-09-12 18:41
ReporteregoitzView Statuspublic 
Assigned ToAtulOpenbravo 
PriorityurgentResolutionfixedFixed in Version3.0PR16Q4
StatusclosedFix in branchFixed in SCM revision92fe35392dd6
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toaferraz
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0033319: The generate shipment from orders form takes long to print the data with a lot of orders pending to be deliver

DescriptionWhen there are thousand of orders pending to be delivered, the form where you select the order u orders that you want to create shipments from, takes long to be printed.
Steps To Reproduce-On an environment with thousand of order pending to be deliver, open the create shipments from order form.
*It takes minutes to show the form.
TagsPerformance
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0033320 closedAtulOpenbravo On environment whit big volumnes the create from process takes long to print the popup. 
related to defect 0033956 closedAtulOpenbravo The generate invoic takes long with big amount of data 

-  Notes
(0088592)
hgbot (developer)
2016-07-20 10:06

Repository: erp/devel/pi
Changeset: 92fe35392dd6dddb58533ad4c074a71a486b3e87
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Tue Jul 19 19:51:14 2016 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/92fe35392dd6dddb58533ad4c074a71a486b3e87 [^]

Fixes issue 33319: Performance problems in Create Shipments from Orders process

Problem was with use of view m_inout_candidate_v in the query.
Fix implements the data fetching logic in query itself.

---
M src/org/openbravo/erpCommon/ad_forms/GenerateShipmentsmanual_data.xsql
---
(0088594)
aferraz (developer)
2016-07-20 10:07

Code review + Testing OK
(0089022)
hudsonbot (developer)
2016-08-11 18:40

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/edaa05b1fb18 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2016-06-20 18:43 egoitz New Issue
2016-06-20 18:43 egoitz Assigned To => Triage Finance
2016-06-20 18:43 egoitz Modules => Core
2016-06-20 18:43 egoitz Resolution time => 1468188000
2016-06-20 18:43 egoitz Triggers an Emergency Pack => No
2016-06-20 18:47 egoitz Relationship added related to 0033320
2016-06-20 18:47 egoitz Tag Attached: Performance
2016-06-21 13:42 aferraz Assigned To Triage Finance => markmm82
2016-07-06 17:33 vmromanos Assigned To markmm82 => AtulOpenbravo
2016-07-19 22:19 AtulOpenbravo Status new => scheduled
2016-07-20 10:06 hgbot Checkin
2016-07-20 10:06 hgbot Note Added: 0088592
2016-07-20 10:06 hgbot Status scheduled => resolved
2016-07-20 10:06 hgbot Resolution open => fixed
2016-07-20 10:06 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/92fe35392dd6dddb58533ad4c074a71a486b3e87 [^]
2016-07-20 10:07 aferraz Review Assigned To => aferraz
2016-07-20 10:07 aferraz Note Added: 0088594
2016-07-20 10:07 aferraz Status resolved => closed
2016-07-20 10:07 aferraz Fixed in Version => 3.0PR16Q4
2016-08-11 18:40 hudsonbot Checkin
2016-08-11 18:40 hudsonbot Note Added: 0089022
2016-09-12 18:41 egoitz Issue cloned 0033956
2016-09-12 18:41 egoitz Relationship added related to 0033956


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker